Skip to main content

Extend a Session

PATCH 

/iam/sessions/:id/extend

Calling this endpoint extends the given session ID. If session.earliest_possible_extend is set it will only extend the session after the specified time has passed.

Retrieve the session ID from the /sessions/whoami endpoint / toSession SDK method.

Request

Path Parameters

    id stringrequired

    ID is the session's ID.

Responses

session

Schema
    activeboolean

    Active state. If false the session is no longer active.

    authenticated_atstring<date-time>

    The Session Authentication Timestamp

    When this session was authenticated at. If multi-factor authentication was used this is the time when the last factor was authenticated (e.g. the TOTP code challenge was completed).

    authentication_methods object[]

    A list of authenticators which were used to authenticate the session.

  • Array [
  • aalAuthenticator Assurance Level (AAL) (string)

    The authenticator assurance level can be one of "aal1", "aal2", or "aal3". A higher number means that it is harder for an attacker to compromise the account.

    Generally, "aal1" implies that one authentication factor was used while AAL2 implies that two factors (e.g. password + TOTP) have been used.

    Possible values: [aal0, aal1, aal2, aal3]

    completed_atstring<date-time>

    When the authentication challenge was completed.

    methodThe method used (string)

    Possible values: [link_recovery, code_recovery, password, code, totp, oidc, webauthn, lookup_secret, v0.6_legacy_session]

    organizationstring

    The Organization id used for authentication

    providerstring

    OIDC or SAML provider id used for authentication

  • ]
  • authenticator_assurance_levelAuthenticator Assurance Level (AAL) (string)

    The authenticator assurance level can be one of "aal1", "aal2", or "aal3". A higher number means that it is harder for an attacker to compromise the account.

    Generally, "aal1" implies that one authentication factor was used while AAL2 implies that two factors (e.g. password + TOTP) have been used.

    Possible values: [aal0, aal1, aal2, aal3]

    devices object[]

    Devices has history of all endpoints where the session was used

  • Array [
  • idstring<uuid>required

    Device record ID

    ip_addressstring

    IPAddress of the client

    locationstring

    Geo Location corresponding to the IP Address

    user_agentstring

    UserAgent of the client

  • ]
  • expires_atstring<date-time>

    The Session Expiry

    When this session expires at.

    idstring<uuid>required

    Session ID

    identity object

    An identity represents a (human) user in Ory.

    created_atstring<date-time>

    CreatedAt is a helper struct field for gobuffalo.pop.

    credentials object

    Credentials represents all credentials that can be used for authenticating this identity.

    property name* identityCredentials

    Credentials represents a specific credential type

    configobject
    created_atstring<date-time>

    CreatedAt is a helper struct field for gobuffalo.pop.

    identifiersstring[]

    Identifiers represents a list of unique identifiers this credential type matches.

    typeCredentialsType represents several different credential types, like password credentials, passwordless credentials, (string)

    and so on.

    Possible values: [password, totp, oidc, webauthn, lookup_secret, code]

    updated_atstring<date-time>

    UpdatedAt is a helper struct field for gobuffalo.pop.

    versioninteger<int64>

    Version refers to the version of the credential. Useful when changing the config schema.

    idstring<uuid>required

    ID is the identity's unique identifier.

    The Identity ID can not be changed and can not be chosen. This ensures future compatibility and optimization for distributed stores such as CockroachDB.

    metadata_adminnullJsonRawMessagenullable

    NullJSONRawMessage represents a json.RawMessage that works well with JSON, SQL, and Swagger and is NULLable-

    metadata_publicnullJsonRawMessagenullable

    NullJSONRawMessage represents a json.RawMessage that works well with JSON, SQL, and Swagger and is NULLable-

    organization_idstring<uuid4>nullable
    recovery_addresses object[]

    RecoveryAddresses contains all the addresses that can be used to recover an identity.

  • Array [
  • created_atstring<date-time>

    CreatedAt is a helper struct field for gobuffalo.pop.

    idstring<uuid>required
    updated_atstring<date-time>

    UpdatedAt is a helper struct field for gobuffalo.pop.

    valuestringrequired
    viaRecoveryAddressType must not exceed 16 characters as that is the limitation in the SQL Schema. (string)required
  • ]
  • schema_idstringrequired

    SchemaID is the ID of the JSON Schema to be used for validating the identity's traits.

    schema_urlstringrequired

    SchemaURL is the URL of the endpoint where the identity's traits schema can be fetched from.

    format: url

    stateAn Identity's State (string)

    The state can either be active or inactive.

    Possible values: [active, inactive]

    state_changed_atstring<date-time>
    traitsidentityTraitsrequired

    Traits represent an identity's traits. The identity is able to create, modify, and delete traits in a self-service manner. The input will always be validated against the JSON Schema defined in schema_url.

    updated_atstring<date-time>

    UpdatedAt is a helper struct field for gobuffalo.pop.

    verifiable_addresses object[]

    VerifiableAddresses contains all the addresses that can be verified by the user.

  • Array [
  • created_atstring<date-time>

    When this entry was created

    Example: 2014-01-01T23:28:56.782Z
    idstring<uuid>

    The ID

    statusidentityVerifiableAddressStatus (string)required

    VerifiableAddressStatus must not exceed 16 characters as that is the limitation in the SQL Schema

    updated_atstring<date-time>

    When this entry was last updated

    Example: 2014-01-01T23:28:56.782Z
    valuestringrequired

    The address value

    example foo@user.com

    verifiedbooleanrequired

    Indicates if the address has already been verified

    Example: true
    verified_atstring<date-time>
    viastringrequired

    The delivery method

    Possible values: [email, sms]

    Example: email
  • ]
  • issued_atstring<date-time>

    The Session Issuance Timestamp

    When this session was issued at. Usually equal or close to authenticated_at.

    tokenizedstring

    Tokenized is the tokenized (e.g. JWT) version of the session.

    It is only set when the tokenize query parameter was set to a valid tokenize template during calls to /session/whoami.

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Patch, "https://connhex.com/iam/sessions/:id/extend");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Parameters
— pathrequired